#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* SPIM_RxInternalInterrupt */
#define SPIM_RxInternalInterrupt__ES2_PATCH 0u
#define SPIM_RxInternalInterrupt__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define SPIM_RxInternalInterrupt__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define SPIM_RxInternalInterrupt__INTC_MASK 0x01u
#define SPIM_RxInternalInterrupt__INTC_NUMBER 0u
#define SPIM_RxInternalInterrupt__INTC_PRIOR_NUM 7u
#define SPIM_RxInternalInterrupt__INTC_PRIOR_REG CYREG_INTC_PRIOR0
#define SPIM_RxInternalInterrupt__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define SPIM_RxInternalInterrupt__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define SPIM_RxInternalInterrupt__INTC_VECT (CYREG_INTC_VECT_MBASE+0x00u)

/* SPIM_TxInternalInterrupt */
#define SPIM_TxInternalInterrupt__ES2_PATCH 0u
#define SPIM_TxInternalInterrupt__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define SPIM_TxInternalInterrupt__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define SPIM_TxInternalInterrupt__INTC_MASK 0x02u
#define SPIM_TxInternalInterrupt__INTC_NUMBER 1u
#define SPIM_TxInternalInterrupt__INTC_PRIOR_NUM 7u
#define SPIM_TxInternalInterrupt__INTC_PRIOR_REG CYREG_INTC_PRIOR1
#define SPIM_TxInternalInterrupt__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define SPIM_TxInternalInterrupt__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define SPIM_TxInternalInterrupt__INTC_VECT (CYREG_INTC_VECT_MBASE+0x02u)

/* SPIS_RxInternalInterrupt */
#define SPIS_RxInternalInterrupt__ES2_PATCH 0u
#define SPIS_RxInternalInterrupt__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define SPIS_RxInternalInterrupt__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define SPIS_RxInternalInterrupt__INTC_MASK 0x04u
#define SPIS_RxInternalInterrupt__INTC_NUMBER 2u
#define SPIS_RxInternalInterrupt__INTC_PRIOR_NUM 7u
#define SPIS_RxInternalInterrupt__INTC_PRIOR_REG CYREG_INTC_PRIOR2
#define SPIS_RxInternalInterrupt__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define SPIS_RxInternalInterrupt__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define SPIS_RxInternalInterrupt__INTC_VECT (CYREG_INTC_VECT_MBASE+0x04u)

/* SPIS_TxInternalInterrupt */
#define SPIS_TxInternalInterrupt__ES2_PATCH 0u
#define SPIS_TxInternalInterrupt__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define SPIS_TxInternalInterrupt__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define SPIS_TxInternalInterrupt__INTC_MASK 0x08u
#define SPIS_TxInternalInterrupt__INTC_NUMBER 3u
#define SPIS_TxInternalInterrupt__INTC_PRIOR_NUM 7u
#define SPIS_TxInternalInterrupt__INTC_PRIOR_REG CYREG_INTC_PRIOR3
#define SPIS_TxInternalInterrupt__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define SPIS_TxInternalInterrupt__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define SPIS_TxInternalInterrupt__INTC_VECT (CYREG_INTC_VECT_MBASE+0x06u)

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2u
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* m_miso_pin */
#define m_miso_pin__0__MASK 0x04u
#define m_miso_pin__0__PC CYREG_PRT0_PC2
#define m_miso_pin__0__PORT 0u
#define m_miso_pin__0__SHIFT 2
#define m_miso_pin__AG CYREG_PRT0_AG
#define m_miso_pin__AMUX CYREG_PRT0_AMUX
#define m_miso_pin__BIE CYREG_PRT0_BIE
#define m_miso_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define m_miso_pin__BYP CYREG_PRT0_BYP
#define m_miso_pin__CTL CYREG_PRT0_CTL
#define m_miso_pin__DM0 CYREG_PRT0_DM0
#define m_miso_pin__DM1 CYREG_PRT0_DM1
#define m_miso_pin__DM2 CYREG_PRT0_DM2
#define m_miso_pin__DR CYREG_PRT0_DR
#define m_miso_pin__INP_DIS CYREG_PRT0_INP_DIS
#define m_miso_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define m_miso_pin__LCD_EN CYREG_PRT0_LCD_EN
#define m_miso_pin__MASK 0x04u
#define m_miso_pin__PORT 0u
#define m_miso_pin__PRT CYREG_PRT0_PRT
#define m_miso_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define m_miso_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define m_miso_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define m_miso_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define m_miso_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define m_miso_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define m_miso_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define m_miso_pin__PS CYREG_PRT0_PS
#define m_miso_pin__SHIFT 2
#define m_miso_pin__SLW CYREG_PRT0_SLW

/* m_mosi_pin */
#define m_mosi_pin__0__MASK 0x01u
#define m_mosi_pin__0__PC CYREG_PRT0_PC0
#define m_mosi_pin__0__PORT 0u
#define m_mosi_pin__0__SHIFT 0
#define m_mosi_pin__AG CYREG_PRT0_AG
#define m_mosi_pin__AMUX CYREG_PRT0_AMUX
#define m_mosi_pin__BIE CYREG_PRT0_BIE
#define m_mosi_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define m_mosi_pin__BYP CYREG_PRT0_BYP
#define m_mosi_pin__CTL CYREG_PRT0_CTL
#define m_mosi_pin__DM0 CYREG_PRT0_DM0
#define m_mosi_pin__DM1 CYREG_PRT0_DM1
#define m_mosi_pin__DM2 CYREG_PRT0_DM2
#define m_mosi_pin__DR CYREG_PRT0_DR
#define m_mosi_pin__INP_DIS CYREG_PRT0_INP_DIS
#define m_mosi_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define m_mosi_pin__LCD_EN CYREG_PRT0_LCD_EN
#define m_mosi_pin__MASK 0x01u
#define m_mosi_pin__PORT 0u
#define m_mosi_pin__PRT CYREG_PRT0_PRT
#define m_mosi_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define m_mosi_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define m_mosi_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define m_mosi_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define m_mosi_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define m_mosi_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define m_mosi_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define m_mosi_pin__PS CYREG_PRT0_PS
#define m_mosi_pin__SHIFT 0
#define m_mosi_pin__SLW CYREG_PRT0_SLW

/* m_sclk_pin */
#define m_sclk_pin__0__MASK 0x10u
#define m_sclk_pin__0__PC CYREG_PRT0_PC4
#define m_sclk_pin__0__PORT 0u
#define m_sclk_pin__0__SHIFT 4
#define m_sclk_pin__AG CYREG_PRT0_AG
#define m_sclk_pin__AMUX CYREG_PRT0_AMUX
#define m_sclk_pin__BIE CYREG_PRT0_BIE
#define m_sclk_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define m_sclk_pin__BYP CYREG_PRT0_BYP
#define m_sclk_pin__CTL CYREG_PRT0_CTL
#define m_sclk_pin__DM0 CYREG_PRT0_DM0
#define m_sclk_pin__DM1 CYREG_PRT0_DM1
#define m_sclk_pin__DM2 CYREG_PRT0_DM2
#define m_sclk_pin__DR CYREG_PRT0_DR
#define m_sclk_pin__INP_DIS CYREG_PRT0_INP_DIS
#define m_sclk_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define m_sclk_pin__LCD_EN CYREG_PRT0_LCD_EN
#define m_sclk_pin__MASK 0x10u
#define m_sclk_pin__PORT 0u
#define m_sclk_pin__PRT CYREG_PRT0_PRT
#define m_sclk_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define m_sclk_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define m_sclk_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define m_sclk_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define m_sclk_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define m_sclk_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define m_sclk_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define m_sclk_pin__PS CYREG_PRT0_PS
#define m_sclk_pin__SHIFT 4
#define m_sclk_pin__SLW CYREG_PRT0_SLW

/* s_miso_pin */
#define s_miso_pin__0__MASK 0x08u
#define s_miso_pin__0__PC CYREG_PRT0_PC3
#define s_miso_pin__0__PORT 0u
#define s_miso_pin__0__SHIFT 3
#define s_miso_pin__AG CYREG_PRT0_AG
#define s_miso_pin__AMUX CYREG_PRT0_AMUX
#define s_miso_pin__BIE CYREG_PRT0_BIE
#define s_miso_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define s_miso_pin__BYP CYREG_PRT0_BYP
#define s_miso_pin__CTL CYREG_PRT0_CTL
#define s_miso_pin__DM0 CYREG_PRT0_DM0
#define s_miso_pin__DM1 CYREG_PRT0_DM1
#define s_miso_pin__DM2 CYREG_PRT0_DM2
#define s_miso_pin__DR CYREG_PRT0_DR
#define s_miso_pin__INP_DIS CYREG_PRT0_INP_DIS
#define s_miso_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define s_miso_pin__LCD_EN CYREG_PRT0_LCD_EN
#define s_miso_pin__MASK 0x08u
#define s_miso_pin__PORT 0u
#define s_miso_pin__PRT CYREG_PRT0_PRT
#define s_miso_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define s_miso_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define s_miso_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define s_miso_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define s_miso_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define s_miso_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define s_miso_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define s_miso_pin__PS CYREG_PRT0_PS
#define s_miso_pin__SHIFT 3
#define s_miso_pin__SLW CYREG_PRT0_SLW

/* s_mosi_pin */
#define s_mosi_pin__0__MASK 0x02u
#define s_mosi_pin__0__PC CYREG_PRT0_PC1
#define s_mosi_pin__0__PORT 0u
#define s_mosi_pin__0__SHIFT 1
#define s_mosi_pin__AG CYREG_PRT0_AG
#define s_mosi_pin__AMUX CYREG_PRT0_AMUX
#define s_mosi_pin__BIE CYREG_PRT0_BIE
#define s_mosi_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define s_mosi_pin__BYP CYREG_PRT0_BYP
#define s_mosi_pin__CTL CYREG_PRT0_CTL
#define s_mosi_pin__DM0 CYREG_PRT0_DM0
#define s_mosi_pin__DM1 CYREG_PRT0_DM1
#define s_mosi_pin__DM2 CYREG_PRT0_DM2
#define s_mosi_pin__DR CYREG_PRT0_DR
#define s_mosi_pin__INP_DIS CYREG_PRT0_INP_DIS
#define s_mosi_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define s_mosi_pin__LCD_EN CYREG_PRT0_LCD_EN
#define s_mosi_pin__MASK 0x02u
#define s_mosi_pin__PORT 0u
#define s_mosi_pin__PRT CYREG_PRT0_PRT
#define s_mosi_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define s_mosi_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define s_mosi_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define s_mosi_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define s_mosi_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define s_mosi_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define s_mosi_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define s_mosi_pin__PS CYREG_PRT0_PS
#define s_mosi_pin__SHIFT 1
#define s_mosi_pin__SLW CYREG_PRT0_SLW

/* s_sclk_pin */
#define s_sclk_pin__0__MASK 0x20u
#define s_sclk_pin__0__PC CYREG_PRT0_PC5
#define s_sclk_pin__0__PORT 0u
#define s_sclk_pin__0__SHIFT 5
#define s_sclk_pin__AG CYREG_PRT0_AG
#define s_sclk_pin__AMUX CYREG_PRT0_AMUX
#define s_sclk_pin__BIE CYREG_PRT0_BIE
#define s_sclk_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define s_sclk_pin__BYP CYREG_PRT0_BYP
#define s_sclk_pin__CTL CYREG_PRT0_CTL
#define s_sclk_pin__DM0 CYREG_PRT0_DM0
#define s_sclk_pin__DM1 CYREG_PRT0_DM1
#define s_sclk_pin__DM2 CYREG_PRT0_DM2
#define s_sclk_pin__DR CYREG_PRT0_DR
#define s_sclk_pin__INP_DIS CYREG_PRT0_INP_DIS
#define s_sclk_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define s_sclk_pin__LCD_EN CYREG_PRT0_LCD_EN
#define s_sclk_pin__MASK 0x20u
#define s_sclk_pin__PORT 0u
#define s_sclk_pin__PRT CYREG_PRT0_PRT
#define s_sclk_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define s_sclk_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define s_sclk_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define s_sclk_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define s_sclk_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define s_sclk_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define s_sclk_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define s_sclk_pin__PS CYREG_PRT0_PS
#define s_sclk_pin__SHIFT 5
#define s_sclk_pin__SLW CYREG_PRT0_SLW

/* SPIM_BSPIM */
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB07_08_ST
#define SPIM_BSPIM_BitCounter_ST__MASK_REG CYREG_B1_UDB07_MSK
#define SPIM_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB07_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB07_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_REG CYREG_B1_UDB07_ST
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB07_08_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB07_08_CTL
#define SPIM_BSPIM_BitCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB07_08_MSK
#define SPIM_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB07_08_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define SPIM_BSPIM_BitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define SPIM_BSPIM_BitCounter__CONTROL_REG CYREG_B1_UDB07_CTL
#define SPIM_BSPIM_BitCounter__CONTROL_ST_REG CYREG_B1_UDB07_ST_CTL
#define SPIM_BSPIM_BitCounter__COUNT_REG CYREG_B1_UDB07_CTL
#define SPIM_BSPIM_BitCounter__COUNT_ST_REG CYREG_B1_UDB07_ST_CTL
#define SPIM_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SPIM_BSPIM_BitCounter__PERIOD_REG CYREG_B1_UDB07_MSK
#define SPIM_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SPIM_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define SPIM_BSPIM_RxStsReg__16BIT_STATUS_REG CYREG_B1_UDB04_05_ST
#define SPIM_BSPIM_RxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_RxStsReg__4__POS 4
#define SPIM_BSPIM_RxStsReg__5__MASK 0x20u
#define SPIM_BSPIM_RxStsReg__5__POS 5
#define SPIM_BSPIM_RxStsReg__6__MASK 0x40u
#define SPIM_BSPIM_RxStsReg__6__POS 6
#define SPIM_BSPIM_RxStsReg__MASK 0x70u
#define SPIM_BSPIM_RxStsReg__MASK_REG CYREG_B1_UDB04_MSK
#define SPIM_BSPIM_RxStsReg__STATUS_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define SPIM_BSPIM_RxStsReg__STATUS_REG CYREG_B1_UDB04_ST
#define SPIM_BSPIM_TxStsReg__0__MASK 0x01u
#define SPIM_BSPIM_TxStsReg__0__POS 0
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_REG CYREG_B0_UDB07_08_ST
#define SPIM_BSPIM_TxStsReg__1__MASK 0x02u
#define SPIM_BSPIM_TxStsReg__1__POS 1
#define SPIM_BSPIM_TxStsReg__2__MASK 0x04u
#define SPIM_BSPIM_TxStsReg__2__POS 2
#define SPIM_BSPIM_TxStsReg__3__MASK 0x08u
#define SPIM_BSPIM_TxStsReg__3__POS 3
#define SPIM_BSPIM_TxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_TxStsReg__4__POS 4
#define SPIM_BSPIM_TxStsReg__MASK 0x1Fu
#define SPIM_BSPIM_TxStsReg__MASK_REG CYREG_B0_UDB07_MSK
#define SPIM_BSPIM_TxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define SPIM_BSPIM_TxStsReg__STATUS_REG CYREG_B0_UDB07_ST
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A0_REG CYREG_B1_UDB07_08_A0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A1_REG CYREG_B1_UDB07_08_A1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D0_REG CYREG_B1_UDB07_08_D0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D1_REG CYREG_B1_UDB07_08_D1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F0_REG CYREG_B1_UDB07_08_F0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F1_REG CYREG_B1_UDB07_08_F1
#define SPIM_BSPIM_sR8_Dp_u0__A0_A1_REG CYREG_B1_UDB07_A0_A1
#define SPIM_BSPIM_sR8_Dp_u0__A0_REG CYREG_B1_UDB07_A0
#define SPIM_BSPIM_sR8_Dp_u0__A1_REG CYREG_B1_UDB07_A1
#define SPIM_BSPIM_sR8_Dp_u0__D0_D1_REG CYREG_B1_UDB07_D0_D1
#define SPIM_BSPIM_sR8_Dp_u0__D0_REG CYREG_B1_UDB07_D0
#define SPIM_BSPIM_sR8_Dp_u0__D1_REG CYREG_B1_UDB07_D1
#define SPIM_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__F0_F1_REG CYREG_B1_UDB07_F0_F1
#define SPIM_BSPIM_sR8_Dp_u0__F0_REG CYREG_B1_UDB07_F0
#define SPIM_BSPIM_sR8_Dp_u0__F1_REG CYREG_B1_UDB07_F1
#define SPIM_BSPIM_sR8_Dp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL

/* SPIS_BSPIS */
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB05_06_ST
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__MASK_REG CYREG_B1_UDB05_MSK
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB05_ST_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB05_ST_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter_ST__STATUS_REG CYREG_B1_UDB05_ST
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB05_06_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB05_06_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB05_06_MSK
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB05_06_MSK
#define SPIS_BSPIS_es3_SPISlave_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define SPIS_BSPIS_es3_SPISlave_BitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__CONTROL_REG CYREG_B1_UDB05_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__CONTROL_ST_REG CYREG_B1_UDB05_ST_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__COUNT_REG CYREG_B1_UDB05_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__COUNT_ST_REG CYREG_B1_UDB05_ST_CTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define SPIS_BSPIS_es3_SPISlave_BitCounter__PERIOD_REG CYREG_B1_UDB05_MSK
#define SPIS_BSPIS_es3_SPISlave_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__16BIT_STATUS_REG CYREG_B0_UDB04_05_ST
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__3__MASK 0x08u
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__3__POS 3
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__4__MASK 0x10u
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__4__POS 4
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__5__MASK 0x20u
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__5__POS 5
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__6__MASK 0x40u
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__6__POS 6
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__MASK 0x78u
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__MASK_REG CYREG_B0_UDB04_MSK
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define SPIS_BSPIS_es3_SPISlave_RxStsReg__STATUS_REG CYREG_B0_UDB04_ST
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__0__MASK 0x01u
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__0__POS 0
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__16BIT_STATUS_REG CYREG_B0_UDB06_07_ST
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__1__MASK 0x02u
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__1__POS 1
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__2__MASK 0x04u
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__2__POS 2
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__6__MASK 0x40u
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__6__POS 6
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__MASK 0x47u
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__MASK_REG CYREG_B0_UDB06_MSK
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define SPIS_BSPIS_es3_SPISlave_TxStsReg__STATUS_REG CYREG_B0_UDB06_ST
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__16BIT_A0_REG CYREG_B0_UDB06_07_A0
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__16BIT_A1_REG CYREG_B0_UDB06_07_A1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__16BIT_D0_REG CYREG_B0_UDB06_07_D0
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__16BIT_D1_REG CYREG_B0_UDB06_07_D1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__16BIT_F0_REG CYREG_B0_UDB06_07_F0
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__16BIT_F1_REG CYREG_B0_UDB06_07_F1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__A0_A1_REG CYREG_B0_UDB06_A0_A1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__A0_REG CYREG_B0_UDB06_A0
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__A1_REG CYREG_B0_UDB06_A1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__D0_D1_REG CYREG_B0_UDB06_D0_D1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__D0_REG CYREG_B0_UDB06_D0
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__D1_REG CYREG_B0_UDB06_D1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__DP_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__F0_F1_REG CYREG_B0_UDB06_F0_F1
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__F0_REG CYREG_B0_UDB06_F0
#define SPIS_BSPIS_es3_SPISlave_sR8_Dp_u0__F1_REG CYREG_B0_UDB06_F1

/* m_ss_pin */
#define m_ss_pin__0__MASK 0x40u
#define m_ss_pin__0__PC CYREG_PRT0_PC6
#define m_ss_pin__0__PORT 0u
#define m_ss_pin__0__SHIFT 6
#define m_ss_pin__AG CYREG_PRT0_AG
#define m_ss_pin__AMUX CYREG_PRT0_AMUX
#define m_ss_pin__BIE CYREG_PRT0_BIE
#define m_ss_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define m_ss_pin__BYP CYREG_PRT0_BYP
#define m_ss_pin__CTL CYREG_PRT0_CTL
#define m_ss_pin__DM0 CYREG_PRT0_DM0
#define m_ss_pin__DM1 CYREG_PRT0_DM1
#define m_ss_pin__DM2 CYREG_PRT0_DM2
#define m_ss_pin__DR CYREG_PRT0_DR
#define m_ss_pin__INP_DIS CYREG_PRT0_INP_DIS
#define m_ss_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define m_ss_pin__LCD_EN CYREG_PRT0_LCD_EN
#define m_ss_pin__MASK 0x40u
#define m_ss_pin__PORT 0u
#define m_ss_pin__PRT CYREG_PRT0_PRT
#define m_ss_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define m_ss_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define m_ss_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define m_ss_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define m_ss_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define m_ss_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define m_ss_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define m_ss_pin__PS CYREG_PRT0_PS
#define m_ss_pin__SHIFT 6
#define m_ss_pin__SLW CYREG_PRT0_SLW

/* s_ss_pin */
#define s_ss_pin__0__MASK 0x80u
#define s_ss_pin__0__PC CYREG_PRT0_PC7
#define s_ss_pin__0__PORT 0u
#define s_ss_pin__0__SHIFT 7
#define s_ss_pin__AG CYREG_PRT0_AG
#define s_ss_pin__AMUX CYREG_PRT0_AMUX
#define s_ss_pin__BIE CYREG_PRT0_BIE
#define s_ss_pin__BIT_MASK CYREG_PRT0_BIT_MASK
#define s_ss_pin__BYP CYREG_PRT0_BYP
#define s_ss_pin__CTL CYREG_PRT0_CTL
#define s_ss_pin__DM0 CYREG_PRT0_DM0
#define s_ss_pin__DM1 CYREG_PRT0_DM1
#define s_ss_pin__DM2 CYREG_PRT0_DM2
#define s_ss_pin__DR CYREG_PRT0_DR
#define s_ss_pin__INP_DIS CYREG_PRT0_INP_DIS
#define s_ss_pin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define s_ss_pin__LCD_EN CYREG_PRT0_LCD_EN
#define s_ss_pin__MASK 0x80u
#define s_ss_pin__PORT 0u
#define s_ss_pin__PRT CYREG_PRT0_PRT
#define s_ss_pin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define s_ss_pin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define s_ss_pin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define s_ss_pin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define s_ss_pin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define s_ss_pin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define s_ss_pin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define s_ss_pin__PS CYREG_PRT0_PS
#define s_ss_pin__SHIFT 7
#define s_ss_pin__SLW CYREG_PRT0_SLW

/* Clock */
#define Clock__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Clock__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Clock__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Clock__CFG2_SRC_SEL_MASK 0x07u
#define Clock__INDEX 0x00u
#define Clock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock__PM_ACT_MSK 0x01u
#define Clock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock__PM_STBY_MSK 0x01u

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 0
#define CYDEV_INTR_RISING 0x0000000Fu
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
